pydo.genai.get_simulation_journey_trajectory()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.genai.get_simulation_journey_trajectory(
    run_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
    journey_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)
Returns JSONRaises HttpResponseError

Description

To retrieve a journey’s live trajectory, send a GET request to /v2/gen-ai/simulation_runs/{run_uuid}/journeys/{journey_uuid}/trajectory. Poll while the journey is running to watch turn-by-turn progress.

Parameters

run_uuid string required

UUID of the run the journey belongs to.

journey_uuid string required

UUID of the journey.

Response Example

Show Response Example
{
  "trajectory": {
    "agent_id": "123e4567-e89b-12d3-a456-426614174000",
    "completed_at": "example string",
    "duration_sec": "12345",
    "evaluation_metrics": [],
    "failure_reason": "example string",
    "journey_index": 123,
    "journey_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "judge": {
      "criteria_pass_fail": [],
      "reasoning": "example string",
      "verdict": "SIMULATION_JOURNEY_VERDICT_UNSPECIFIED"
    },
    "max_turns": 123,
    "messages": [],
    "run_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "scenario_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "session_id": "123e4567-e89b-12d3-a456-426614174000",
    "started_at": "example string",
    "status": "SIMULATION_TRAJECTORY_STATUS_UNSPECIFIED",
    "token_usage": {
      "candidate_agent_tokens": "12345",
      "generator_tokens": "12345",
      "judge_tokens": "12345",
      "simulator_tokens": "12345",
      "total_tokens": "12345"
    },
    "turn_count": 123,
    "verdict": "SIMULATION_JOURNEY_VERDICT_UNSPECIFIED"
  }
}

More Information

See /v2/gen-ai/simulation_runs/{run_uuid}/journeys/{journey_uuid}/trajectory in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.